Page MenuHomePhabricator

Migrate (open) AutoWikiBrowser Bugs and Feature Requests from enwiki pages
Closed, ResolvedPublic

Description

There's a lot of bugs and stuff onwiki, that we really need to migrate to Phabricator so they can be managed easily

Bugs https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Bugs
Feature requests https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Feature_requests

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Josve05a claimed this task.May 18 2015, 6:32 PM
Josve05a removed Josve05a as the assignee of this task.May 25 2015, 3:13 PM
Josve05a closed this task as Resolved.Jun 1 2015, 3:09 AM
Josve05a claimed this task.

Done, per Z70.

Josve05a removed parent tasks: T100598: Migrate AWB from enwp to Phabricator, T99568: [Migrated] Change to use {{Official website}}, T99566: [Migrated] Remove 10-digit ISBNs from cite templates when 13-digit is also present, T99565: Remove |format from {{Infobox television}}, T99563: [Migrated] Make a "Skip list" tab that skips pages on the main list that are also on the "Skip list", T99562: [Migrated] Add keyboard shortcut Alt+f to toggle between "If" and "Find" tabs in the "Replace Special" window, T99555: [Migrated] Unicode font support, T99554: [Migrated] Sub-paragraph undo, T99553: [Migrated] Bypass redirects, T99551: [Migrated] Automatic List Making, T99549: [Migrated] Fix unbalanced curly brackets in redirects, T99479: [Migrated] Compare differences in Make Module function, T99419: [Migrated] Make the edit summary dropdown wider, T99407: [Migrated] Append guidelines/policies to edit summary, T99406: [Migrated] Add ellipsis to truncated edit summaries, T99408: [Migrated] New source: Books, T99396: [Migrated] Multiple typo lists, T99392: [Migrated] Snippets from DB search, T99391: [Migrated] Allow split-screen mode to see preview and diff at the same time, T99393: [Migrated] Unload plugins, T99394: [Migrated] Searching information on pages to modify other pages, T99395: [Migrated] Have navigable TOC for edit box, T99397: [Migrated] Flexible starting point for very large lists, T99398: [Migrated] Restoring content of the regex tester, T99399: [Migrated] Request of CheckPage feature to make it more easily maintainable (general access option), T99400: [Migrated] Allow non-bots to use Auto Shutdown feature, T99401: [Migrated] Allow list to be sent to Special:Export and resulting xml automatically loaded in database scanner, T99402: [Migrated] Add option 'Open diff in browser' for log, T99403: [Migrated] Allow creating lists based on external web pages, T99404: [Migrated] Proxy Authentication, T99405: [Migrated] Minimialise the config stuff on bottom half of screen, T99429: [Migrated] Keyboard shortcut at least for the "Internal link" button, and maybe "Bold text", "Italic text", and "External link" buttons, T99428: [Migrated] Remember "AWB Regex Tester" window size for session, just like "Replace Special", T99427: [Migrated] Let Ctrl+A work in the "AWB Regex Tester" window's "Result:" textbox, T99424: [Migrated] Add a "Repeat until no changes made" checkbox next to "Apply No. of times", T99423: [Migrated] Display page processing time in the statistics bar, T99546: [Migrated] Support non-standard Windows font PPI, T99417: [Migrated] Make the Regex Tester's Find editbox vertical-scrollable, T99481: [Migrated] Add minimize/Maximize functionality to Normal Find and replace box, T99480: [Migrated] Add minimize/Maximize functionality to Advanced Find and replace box, T99390: [Migrated] Typos tab of edit box: include the typo rule name as first column, alongside existing find & replace columns, T99389: [Migrated] HTML substitution, T99418: [Migrated] Smarter Find & Replace skip with respect to minor replacements, T99420: [Migrated] Remove stub templates from redirect pages, T99387: [Migrated] Skip if disambiguation page, T99388: [Migrated] Skip if only change is unicodification, T99386: [Migrated] Skips conditions for Redlinks, redirects, dabs, ..., T99379: [Migrated] FixReferenceTags: remove nowiki; encode titles, T99380: [Migrated] Remove spaces in transclusions, T99381: [Migrated] Additional measurement Hand (unit), T99382: [Migrated] Fix unbalanced website, T99383: [Migrated] Fix unbalanced brackets inside cite, T99385: [Migrated] Continue unbalanced check, T99377: Remove break line tags after maintenance templates, T99378: [Migrated] Break line before template, T99376: [Migrated]: If all headers are of level 1 downgrade them 1 level, T99426: [Migrated] Fix incorrect piped wikilinks, T99421: [Migrated] Create a utility which highlights all regex rules that operate on a particular input string, T99422: [Migrated] Move ==See also== above ==Notes==, automatically, T99425: [Migrated] Authorlink addition, T99430: [Migrated] Make user-defined rules able to handle nested templates, T99431: [Migrated] %%key%% without removing accents, T99432: [Migrated] Beep sound when done skipping and ready to review an edit with AWB in focus, T99433: [Migrated] Cross-namespace redirects list building, T99434: [Migrated] A "Save and stop" button, T99435: [Migrated] Regular expressions to trigger an "Are you sure?" message on saving, T99436: [Migrated] Expand FixLivingThingsRelatedDates to fix "born in" and "died in", T99437: [Migrated] Remove empty sub and sup tags, T99438: [Migrated] Change BLP unsourced to BLP sources if article has existing references, T99439: [Migrated] AutoWikiBrowser server client, T99440: [Migrated] Wikisource support feature: Page: block-shift, T99441: [Migrated] AWB Request from Wikisource.- Regex block move., T99442: [Migrated] Convert to use {{lang}}, T99464: [Migrated] Alternative port number support, T99466: Fix disambiguation links where the link is a parameter in a "disambiguation needed" template, T99467: [Migrated] Single button settings load, T99469: [Migrated] Enable experimental typos, T99470: [Migrated] Move Special characters templates below infobox, T99471: [Migrated] Make Arabic Wikipedia list of typos usable on other Arabic Wikimedia projects, T99472: [Migrated] Ability to switch to template doc pages for categorization, T99473: [Migrated] Doesn't count admin actions in counts, T99474: [Migrated] AWB should have a feature to use it offline, T99475: [Migrated] Convert HTML codes in wikilinks, T99476: [Migrated] Remove day of the week from citation date parameters, T99477: [Migrated] Move anchor in front title in heading, T99478: [Migrated] Fixing interwiki pipe links, T99482: [Migrated] Hide the new edit summary box, T99465: [Migrated] Wikia metadata, T99338: [Migrated] Duplicate tag fixes, T99337: [Migrated] NullReferenceException in MainForm.SetProject, T99334: [Migrated] AWB does not start on Windows XP with .NET Framework 2.0 or 3.0 (Custom Module error System.Collections.Generic), T99333: [Migrated] Template substitution function is broken, T99332: [Migrated] Unable to compile, T99330: [Migrated] Any Wiki search (text) returns 'Quotation mark', T99329: [Migrated] Number of Edits > 15,000 shows 20,000 instead, T99328: [Migrated] General fixes doesn't always move Multiple issues above infobox, T99327: [Migrated] Hyphen rule applied inconsistently, T99326: [Migrated] Undo and Ctrl+Z in the Replace Special window operate on the rules list exclusively, never the "Find" and "If" tabs, T99325: [Migrated] Chinese-named stub tag on zhwp, T99324: [Migrated] Right click in "Replace Special"'s rule menu does not change the rule on which you're trying to operate, T99323: [Migrated] Clicking to undo a typo fix messes up article text, T99322: [Migrated] Can't load the list of typos if I am not logged in, T99320: [Migrated] Double click on deleted last line doesn't work, T99318: [Migrated] Wrong selection (double click in edit box, word boundaries), T99317: [Migrated] ExplicitCapture, T99316: [Migrated] Database scanner: wrong display of the window, T99314: [Migrated] Sometimes upon clicking save AWB restarts same article without hand edited changes, T99313: [Migrated] Clicking in edit box after switching focus to a different window causes edit box to scroll to top, T99310: [Migrated] Unable to undo changes via diff double click, T99309: [Migrated] When the bot stops when saving a page and then restarts, a saved page is considered skipped in the "Logs" tab, T99308: [Migrated] Editing change keyboard layout, T99307: [Migrated] Typo fixing should be before SimplifyLinks, T99306: [Migrated] AWB oddly spaces out "Portal" namespace in page list, T99305: [Migrated] No vertical scroll bar in diff window, T99303: [Migrated] AWB cannot save letter + combining diacritic when a precomposed Unicode glyph is available, T99298: [Migrated] Fullwidth characters in edit box are not really fullwidth, T99297: [Migrated] Login/Profiles screen list disappears on clicking headings, T99294: [Migrated] Incorrect preview of the 'pipe trick', T99293: [Migrated] Make list display becomes somewhat garbled when scrolling fast, T99292: [Migrated] AWB netbook fail, T99291: [Migrated] References are combined even when the first is hidden, T99290: [Migrated] AWB does not merge group references, T99289: [Migrated] NotImplementedException when clicked on a line in alert box on Hebrew Wikipedia, T99285: [Migrated] NotImplementedException in Region.GetRegionScans, T99284: [Migrated] KingbotK plugin doesn't skip on minor edits, T99283: [Migrated] Banners that have parameters with spaces in them are considered a bad tag by KingbotK, T99282: [Migrated] InvalidOperationException Bug: Collection was modified; enumeration operation may not execute., T99281: [Migrated] ru.elderscrolls.wikia, T99280: [Migrated] System.Exception: Attempted to save a wrong page , T99279: [Migrated] InvalidOperationException in SpecialPageListProvider.MakeList (Modal form error), T99277: [Migrated] NullReferenceException in MainForm.SetProject, T99275: [Migrated] Wikia: This page is not opened properly for editing (wikia config?), T99273: [Migrated] External processing error, T99272: [Migrated] SEHException - Bug when parsing https://en.wikipedia.org/wiki/Ficksburg (SEHException in GetDiff), T99270: [Migrated] Wikia: ApiErrorException in ApiEdit.CheckForErrors (The login module requires a POST request) (Wikia config?).Jul 1 2017, 8:40 AM
Josve05a removed parent tasks: T100598: Migrate AWB from enwp to Phabricator, T99568: [Migrated] Change to use {{Official website}}, T99566: [Migrated] Remove 10-digit ISBNs from cite templates when 13-digit is also present, T99565: Remove |format from {{Infobox television}}, T99563: [Migrated] Make a "Skip list" tab that skips pages on the main list that are also on the "Skip list", T99562: [Migrated] Add keyboard shortcut Alt+f to toggle between "If" and "Find" tabs in the "Replace Special" window, T99555: [Migrated] Unicode font support, T99554: [Migrated] Sub-paragraph undo, T99553: [Migrated] Bypass redirects, T99551: [Migrated] Automatic List Making, T99549: [Migrated] Fix unbalanced curly brackets in redirects, T99479: [Migrated] Compare differences in Make Module function, T99419: [Migrated] Make the edit summary dropdown wider, T99407: [Migrated] Append guidelines/policies to edit summary, T99406: [Migrated] Add ellipsis to truncated edit summaries, T99408: [Migrated] New source: Books, T99396: [Migrated] Multiple typo lists, T99392: [Migrated] Snippets from DB search, T99391: [Migrated] Allow split-screen mode to see preview and diff at the same time, T99393: [Migrated] Unload plugins, T99394: [Migrated] Searching information on pages to modify other pages, T99395: [Migrated] Have navigable TOC for edit box, T99397: [Migrated] Flexible starting point for very large lists, T99398: [Migrated] Restoring content of the regex tester, T99399: [Migrated] Request of CheckPage feature to make it more easily maintainable (general access option), T99400: [Migrated] Allow non-bots to use Auto Shutdown feature, T99401: [Migrated] Allow list to be sent to Special:Export and resulting xml automatically loaded in database scanner, T99402: [Migrated] Add option 'Open diff in browser' for log, T99403: [Migrated] Allow creating lists based on external web pages, T99404: [Migrated] Proxy Authentication, T99405: [Migrated] Minimialise the config stuff on bottom half of screen, T99429: [Migrated] Keyboard shortcut at least for the "Internal link" button, and maybe "Bold text", "Italic text", and "External link" buttons, T99428: [Migrated] Remember "AWB Regex Tester" window size for session, just like "Replace Special", T99427: [Migrated] Let Ctrl+A work in the "AWB Regex Tester" window's "Result:" textbox, T99424: [Migrated] Add a "Repeat until no changes made" checkbox next to "Apply No. of times", T99423: [Migrated] Display page processing time in the statistics bar, T99546: [Migrated] Support non-standard Windows font PPI, T99417: [Migrated] Make the Regex Tester's Find editbox vertical-scrollable, T99481: [Migrated] Add minimize/Maximize functionality to Normal Find and replace box, T99480: [Migrated] Add minimize/Maximize functionality to Advanced Find and replace box, T99390: [Migrated] Typos tab of edit box: include the typo rule name as first column, alongside existing find & replace columns, T99389: [Migrated] HTML substitution, T99418: [Migrated] Smarter Find & Replace skip with respect to minor replacements, T99420: [Migrated] Remove stub templates from redirect pages, T99387: [Migrated] Skip if disambiguation page, T99388: [Migrated] Skip if only change is unicodification, T99386: [Migrated] Skips conditions for Redlinks, redirects, dabs, ..., T99379: [Migrated] FixReferenceTags: remove nowiki; encode titles, T99380: [Migrated] Remove spaces in transclusions, T99381: [Migrated] Additional measurement Hand (unit), T99382: [Migrated] Fix unbalanced website, T99383: [Migrated] Fix unbalanced brackets inside cite, T99385: [Migrated] Continue unbalanced check, T99377: Remove break line tags after maintenance templates, T99378: [Migrated] Break line before template, T99376: [Migrated]: If all headers are of level 1 downgrade them 1 level, T99426: [Migrated] Fix incorrect piped wikilinks, T99421: [Migrated] Create a utility which highlights all regex rules that operate on a particular input string, T99422: [Migrated] Move ==See also== above ==Notes==, automatically, T99425: [Migrated] Authorlink addition, T99430: [Migrated] Make user-defined rules able to handle nested templates, T99431: [Migrated] %%key%% without removing accents, T99432: [Migrated] Beep sound when done skipping and ready to review an edit with AWB in focus, T99433: [Migrated] Cross-namespace redirects list building, T99434: [Migrated] A "Save and stop" button, T99435: [Migrated] Regular expressions to trigger an "Are you sure?" message on saving, T99436: [Migrated] Expand FixLivingThingsRelatedDates to fix "born in" and "died in", T99437: [Migrated] Remove empty sub and sup tags, T99438: [Migrated] Change BLP unsourced to BLP sources if article has existing references, T99439: [Migrated] AutoWikiBrowser server client, T99440: [Migrated] Wikisource support feature: Page: block-shift, T99441: [Migrated] AWB Request from Wikisource.- Regex block move., T99442: [Migrated] Convert to use {{lang}}, T99464: [Migrated] Alternative port number support, T99466: Fix disambiguation links where the link is a parameter in a "disambiguation needed" template, T99467: [Migrated] Single button settings load, T99469: [Migrated] Enable experimental typos, T99470: [Migrated] Move Special characters templates below infobox, T99471: [Migrated] Make Arabic Wikipedia list of typos usable on other Arabic Wikimedia projects, T99472: [Migrated] Ability to switch to template doc pages for categorization, T99473: [Migrated] Doesn't count admin actions in counts, T99474: [Migrated] AWB should have a feature to use it offline, T99475: [Migrated] Convert HTML codes in wikilinks, T99476: [Migrated] Remove day of the week from citation date parameters, T99477: [Migrated] Move anchor in front title in heading, T99478: [Migrated] Fixing interwiki pipe links, T99482: [Migrated] Hide the new edit summary box, T99465: [Migrated] Wikia metadata, T99338: [Migrated] Duplicate tag fixes, T99337: [Migrated] NullReferenceException in MainForm.SetProject, T99334: [Migrated] AWB does not start on Windows XP with .NET Framework 2.0 or 3.0 (Custom Module error System.Collections.Generic), T99333: [Migrated] Template substitution function is broken, T99332: [Migrated] Unable to compile, T99330: [Migrated] Any Wiki search (text) returns 'Quotation mark', T99329: [Migrated] Number of Edits > 15,000 shows 20,000 instead, T99328: [Migrated] General fixes doesn't always move Multiple issues above infobox, T99327: [Migrated] Hyphen rule applied inconsistently, T99326: [Migrated] Undo and Ctrl+Z in the Replace Special window operate on the rules list exclusively, never the "Find" and "If" tabs, T99325: [Migrated] Chinese-named stub tag on zhwp, T99324: [Migrated] Right click in "Replace Special"'s rule menu does not change the rule on which you're trying to operate, T99323: [Migrated] Clicking to undo a typo fix messes up article text, T99322: [Migrated] Can't load the list of typos if I am not logged in, T99320: [Migrated] Double click on deleted last line doesn't work, T99318: [Migrated] Wrong selection (double click in edit box, word boundaries), T99317: [Migrated] ExplicitCapture, T99316: [Migrated] Database scanner: wrong display of the window, T99314: [Migrated] Sometimes upon clicking save AWB restarts same article without hand edited changes, T99313: [Migrated] Clicking in edit box after switching focus to a different window causes edit box to scroll to top, T99310: [Migrated] Unable to undo changes via diff double click, T99309: [Migrated] When the bot stops when saving a page and then restarts, a saved page is considered skipped in the "Logs" tab, T99308: [Migrated] Editing change keyboard layout, T99307: [Migrated] Typo fixing should be before SimplifyLinks, T99306: [Migrated] AWB oddly spaces out "Portal" namespace in page list, T99305: [Migrated] No vertical scroll bar in diff window, T99303: [Migrated] AWB cannot save letter + combining diacritic when a precomposed Unicode glyph is available, T99298: [Migrated] Fullwidth characters in edit box are not really fullwidth, T99297: [Migrated] Login/Profiles screen list disappears on clicking headings, T99294: [Migrated] Incorrect preview of the 'pipe trick', T99293: [Migrated] Make list display becomes somewhat garbled when scrolling fast, T99292: [Migrated] AWB netbook fail, T99291: [Migrated] References are combined even when the first is hidden, T99290: [Migrated] AWB does not merge group references, T99289: [Migrated] NotImplementedException when clicked on a line in alert box on Hebrew Wikipedia, T99285: [Migrated] NotImplementedException in Region.GetRegionScans, T99284: [Migrated] KingbotK plugin doesn't skip on minor edits, T99283: [Migrated] Banners that have parameters with spaces in them are considered a bad tag by KingbotK, T99282: [Migrated] InvalidOperationException Bug: Collection was modified; enumeration operation may not execute., T99281: [Migrated] ru.elderscrolls.wikia, T99280: [Migrated] System.Exception: Attempted to save a wrong page , T99279: [Migrated] InvalidOperationException in SpecialPageListProvider.MakeList (Modal form error), T99277: [Migrated] NullReferenceException in MainForm.SetProject, T99275: [Migrated] Wikia: This page is not opened properly for editing (wikia config?), T99273: [Migrated] External processing error, T99272: [Migrated] SEHException - Bug when parsing https://en.wikipedia.org/wiki/Ficksburg (SEHException in GetDiff), T99270: [Migrated] Wikia: ApiErrorException in ApiEdit.CheckForErrors (The login module requires a POST request) (Wikia config?).